@echo off
rem $Header: /home/cvs/src/prj/CrCheck/cr2gpg.bat,v 1.13 2023/08/29 09:42:27 ralph Exp $
rem Original Revision 2.2  2001/11/26 21:44:24  Administrator
rem Tested with gpg 1.4.22,23 and 2.1.23, 2.2.35

rem This echo statements failed with Bat2exec under Windows 10.
echo +------------------------------------------------------------------------+
echo CR2GPG for CrCheck + GNU PGP driver (c) by ROSE SWE, Ralph Roth
echo "$Id: cr2gpg.bat,v 1.13 2023/08/29 09:42:27 ralph Exp $"
echo +------------------------------------------------------------------------+

rem Only CR2PGP.Bat works with long file names....

rem Housekeeping
if exist CrCheck.asc del CrCheck.asc > nul
if exist CrCheck.txt del CrCheck.txt > nul
if exist CrCheck.txt.asc del CrCheck.txt.asc > nul
echo Validating all the files in the current directory.
rem THIS version of CR2PGP excludes .PIF files from the CRCHECK.TXT file!

echo Please verify with GPG/PGP that this file has a valid signature! > CrCheck.txt
echo   gpg2 --verify CrCheck.txt >> CrCheck.txt
CrCheck *.* /h /s>>CrCheck.txt
describe CrCheck.txt "Checksum file, run CrCheck and GPG to verify if tampered"
echo Validating now with (GNU)-PGP (GPG must be in the PATH=... statement)

rem bug reported with -s switch on pgp by cyberrax, 25-jan-2000
rem pgp -s -ta CrCheck.txt
rem -b (detached) // --clear-sign
rem gpg2 -s -ta CrCheck.txt
gpg2 --clear-sign CrCheck.txt
echo Moving and touching (needs MOVE and TOUCH)

if exist CrCheck.txt.asc goto newdos

rem some fixes provided by cyberrax

echo FOUND: CrCheck.txt [oldstyle]
if exist CrCheck.txt            copy /y CrCheck.asc CrCheck.txt >nul
goto olddos

:newdos
echo FOUND: CrCheck.txt.asc
if exist CrCheck.txt.asc        copy /y CrCheck.txt.asc CrCheck.txt >nul

:olddos
if exist CrCheck.asc del CrCheck.asc > nul
if exist CrCheck.txt.asc del CrCheck.txt.asc > nul


rem if you don't have touch (4Dos, Caldera/Dr.DOS, UNIX) remark this line out.

rtouch -eins CrCheck.txt
if exist CrCheck.txt.asc del CrCheck.asc > nul

